

% working environment for shared sketch experiments -- testing phase
clear; 

disp('testing...');
posTestFolder = 'posTest';  % folder of positive testing images
negTestFolder = 'negTest'; % folder of negative testing images

mex Ctesting.c;   % compile C code
% Begin testing:
disp(['testing positive']);
tssPos = ABtest_one(posTestFolder); % scores on test positives
disp(['testing negative']);
tssNeg = ABtest_one(negTestFolder); % scores on test negatives

% Draw ROC curve and calculate AUC
allScore = [tssPos;tssNeg]; % scores of all test images
gt = [ones(size(tssPos,1),1);-1*ones(size(tssNeg,1),1)]; % ground truth of all test images
testAUC = calc_auc(allScore,gt); % obtain ROC curve by comparing predicted scores and ground truth
[tp, fp] = roc(gt,allScore); % true positive and false postive rate
h=figure;getROCfig(fp,tp,'-',sprintf('AUC = %.3f',testAUC)); % display ROC figure

% save('tssTest','tssPos','tssNeg','tp','fp','testAUC');